import AceEditor from "react-ace";
import "ace-builds/src-noconflict/mode-html";
import "ace-builds/src-noconflict/mode-css";
import "ace-builds/src-noconflict/mode-javascript";
import "ace-builds/src-noconflict/mode-java";
import "ace-builds/src-noconflict/theme-monokai";
import "ace-builds/src-noconflict/theme-github";
import "ace-builds/src-noconflict/theme-tomorrow";
import "ace-builds/src-noconflict/theme-kuroir";
import "ace-builds/src-noconflict/theme-twilight";
import "ace-builds/src-noconflict/theme-xcode";
import "ace-builds/src-noconflict/theme-textmate";
import "ace-builds/src-noconflict/theme-terminal";
import "ace-builds/src-noconflict/theme-solarized_dark";
import "ace-builds/src-noconflict/theme-solarized_light"; 
import "ace-builds/src-noconflict/ext-language_tools";
import { Select } from "../helpers/Select";

export const Editor = ({ data={type:"", name:"", text:""}, onChange }) => {
    return (
      <div
        style={{
          display: "inline-block",
          width: "calc(100% / 3)",
          marginBottom: "10px",
        }}
      >
        {"Mode: "}
        <Select
          onChange={(type) =>
            onChange({ type, text: data.text, name: data.name })
          }
          value={data.type}
        />
        <br />
        <input
          style={{ marginBottom: "10px", marginLeft: "5px" }}
          type="text"
          value={data.name}
          onChange={(e) =>
            onChange({ type: data.type, text: data.text, name: e.target.value })
          }
        />
        <AceEditor
          className="editor"
          value={data.text}
          onChange={(text) =>
            onChange({ type:data.type, text, name:data.name })
          }
          placeholder="Your Code"
          mode={data.type}
          theme="monokai"
          name="blah2"
          fontSize={14}
          showPrintMargin={true}
          showGutter={true}
          highlightActiveLine={true}
          setOptions={{
            enableBasicAutocompletion: true,
            enableLiveAutocompletion: true,
            enableSnippets: false,
            showLineNumbers: true,
            tabSize: 2,
          }}
        />
      </div>
    )
  }
