import { useCallback } from 'react';
import { useDropzone } from 'react-dropzone';

export const FormDate = ({onUpload}) => {
    const onDrop = useCallback(acceptedFiles => {
      acceptedFiles.map((file) => onUpload(file))
    }, [onUpload])
    const {getRootProps, getInputProps, isDragActive} = useDropzone({onDrop})
  
    return (
      <div {...getRootProps()}>
        <input {...getInputProps()} />
        {
          isDragActive ?
            <p>Drop the files here ...</p> :
            <p>Drag 'n' drop some files here, or click to select files</p>
        }
      </div>
    )
}